summaryrefslogtreecommitdiffstats
path: root/development/nqp
diff options
context:
space:
mode:
author Shrivatsan V Sampathkumar <nastavs@gmail.com>2013-04-27 10:03:30 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2013-04-27 10:03:30 -0300
commita90ce4148bf4ba3228ad8e4cf7e67129da14b6aa (patch)
tree98d3c6a9b315c4071b6042d23a3e60680c6e2d5c /development/nqp
parent332687608b9d607edbbc4c6f6fa5793959cf790d (diff)
downloadslackbuilds-a90ce4148bf4ba3228ad8e4cf7e67129da14b6aa.tar.gz
slackbuilds-a90ce4148bf4ba3228ad8e4cf7e67129da14b6aa.tar.xz
development/nqp: Added (Not Quite Perl)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'development/nqp')
-rw-r--r--development/nqp/README9
-rw-r--r--development/nqp/nqp.SlackBuild90
-rw-r--r--development/nqp/nqp.info10
-rw-r--r--development/nqp/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/development/nqp/README b/development/nqp/README
new file mode 100644
index 0000000000..fc296a5983
--- /dev/null
+++ b/development/nqp/README
@@ -0,0 +1,9 @@
+This is "Not Quite Perl" -- a lightweight Perl 6-like environment
+for virtual machines. The key feature of NQP is that it's
+designed to be a very small environment (as compared with, say, perl6
+or Rakudo) and is focused on being a high-level way to create
+compilers and libraries for virtual machines (such as the Parrot
+Virtual Machine). Unlike a full-fledged implementation of Perl 6,
+NQP strives to have as small a runtime footprint as it can, while
+still providing a Perl 6 object model and regular expression engine
+for the virtual machine.
diff --git a/development/nqp/nqp.SlackBuild b/development/nqp/nqp.SlackBuild
new file mode 100644
index 0000000000..df95c1422e
--- /dev/null
+++ b/development/nqp/nqp.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# svatsan 2013/03/17
+# Slackware build script for NQP - Not Quite Perl
+# Written by svatsan <nastavs [at] gmail [dot] com>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nqp
+VERSION=${VERSION:-2013.02.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Configure.pl \
+ --prefix=/usr \
+ --with-parrot=/usr/bin/parrot
+
+make
+make DESTDIR=$PKG install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CREDITS VERSION README LICENSE MANIFEST docs/* examples/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/share
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/nqp/nqp.info b/development/nqp/nqp.info
new file mode 100644
index 0000000000..7bd9150ff9
--- /dev/null
+++ b/development/nqp/nqp.info
@@ -0,0 +1,10 @@
+PRGNAM="nqp"
+VERSION="2013.02.1"
+HOMEPAGE="http://rakudo.org"
+DOWNLOAD="http://rakudo.org/downloads/nqp/nqp-2013.02.1.tar.gz"
+MD5SUM="db48e24a77170735e39f9e20fc795889"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="parrot"
+MAINTAINER="Shrivatsan V Sampathkumar"
+EMAIL="nastavs@gmail.com"
diff --git a/development/nqp/slack-desc b/development/nqp/slack-desc
new file mode 100644
index 0000000000..8f00878e08
--- /dev/null
+++ b/development/nqp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |----------------------------------------------------------------------|
+nqp: nqp (Not Quite Perl)
+nqp:
+nqp: This is "Not Quite Perl" -- a lightweight Perl 6-like environment
+nqp: for virtual machines. The key feature of NQP is that it's
+nqp: designed to be a very small environment (as compared with, say, perl6
+nqp: or Rakudo) and is focused on being a high-level way to create
+nqp: compilers and libraries for virtual machines (such as the Parrot
+nqp: Virtual Machine). Unlike a full-fledged implementation of Perl 6,
+nqp: NQP strives to have as small a runtime footprint as it can, while
+nqp: still providing a Perl 6 object model and regular expression engine
+nqp: for the virtual machine.